############################################
#### Andrew Osborne March 2024 ####
#### Chat Moss Lep Historical Recordings ####
############################################

setwd("~/Desktop/PC_Folders/LHB/Manuscripts/ChatMoss_Ecosystem/Supplemental_data")
list.files(pattern=".csv")
H_L <-read.csv("CM_2.5kBuffer_AllSpecies.csv")
names(H_L)

H_L <-H_L[c("NBN.Atlas.record.ID","Scientific.name","Common.name","Start.date.year")]
head(H_L)
#Extract recordings of peatland specialist Leps
subset(H_L,Scientific.name=="Coenonympha tullia")
subset(H_L,Scientific.name=="Idaea muricata")
subset(H_L,Scientific.name=="Carsia sororiata")
subset(H_L,Scientific.name=="Arenostola phragmitidis")
subset(H_L,Scientific.name=="Pasiphila debiliata")

#Extract data from ALL recordings
nrow(H_L)
class(H_L$Start.date.year)
sort(H_L$Start.date.year, decreasing=TRUE)

#Extract data from 20 year periods
nrow(subset(H_L,Start.date.year<=1859))
nrow(subset(H_L,Start.date.year>=1860 & Start.date.year <=1879))
nrow(subset(H_L,Start.date.year>=1880 & Start.date.year <=1899))
nrow(subset(H_L,Start.date.year>=1900 & Start.date.year <=1919))
nrow(subset(H_L,Start.date.year>=1920 & Start.date.year <=1939))
nrow(subset(H_L,Start.date.year>=1940 & Start.date.year <=1959))
nrow(subset(H_L,Start.date.year>=1960 & Start.date.year <=1980))
nrow(subset(H_L,Start.date.year>=1980 & Start.date.year <=1999))
nrow(subset(H_L,Start.date.year>=2000))


